Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class SOAPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.soap.SOAPException

All Implemented Interfaces:
  java.io.Serializable

public class SOAPException
extends java.lang.Exception

SOAP Exceptions.

See Also:
  Serialized Form

Constructor Summary
`SOAPException(java.lang.String faultCode, java.lang.String msg)`
`SOAPException(java.lang.String faultCode, java.lang.String msg, java.lang.Throwable targetException)`

Method Summary
`java.lang.String` | `getFaultCode()`
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getRootException()`
`java.lang.Throwable` | `getTargetException()`
`void` | `setFaultCode(java.lang.String faultCode)`
`void` | `setTargetException(java.lang.Throwable targetException)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOAPException

    public SOAPException(java.lang.String faultCode,
                         java.lang.String msg)

### SOAPException

    public SOAPException(java.lang.String faultCode,
                         java.lang.String msg,
                         java.lang.Throwable targetException)

Method Detail

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)

### getFaultCode

    public java.lang.String getFaultCode()

### setTargetException

    public void setTargetException(java.lang.Throwable targetException)

### getTargetException

    public java.lang.Throwable getTargetException()

### getRootException

    public java.lang.Throwable getRootException()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.